KDE 4.9 PyKDE API Reference

- KDE's Python API

# BrowserHostExtension Class Reference

`from PyKDE4.kparts import *`

Inherits: QObject
Namespace: KParts

## Detailed Description

An extension class for container parts, i.e. parts that contain other parts. For instance a KHTMLPart hosts one part per frame.

## Methods

| __init__ (self, KParts.ReadOnlyPart parent)
KParts.BrowserHostExtension | findFrameParent (self, KParts.ReadOnlyPart callingPart, QString frame)
QStringList | frameNames (self)
[KParts.ReadOnlyPart] | frames (self)
bool | openUrlInFrame (self, KUrl url, KParts.OpenUrlArguments arguments, KParts.BrowserArguments browserArguments)

## Static Methods

KParts.BrowserHostExtension | childObject (QObject obj)

## Method Documentation

__init__ | ( | self, |
|  | KParts.ReadOnlyPart | parent
| ) |  |  |

KParts.BrowserHostExtension findFrameParent | ( | self, |
|  | KParts.ReadOnlyPart | callingPart,
|  | QString | frame
| ) |  |  |

Returns the part that contains frame and that may be accessed by callingPart

QStringList frameNames | ( |  | self ) |

Returns a list of the names of all hosted child objects.

Note that this method does not query the child objects recursively.

[KParts.ReadOnlyPart] frames | ( |  | self ) |

Returns a list of pointers to all hosted child objects.

Note that this method does not query the child objects recursively.

bool openUrlInFrame | ( | self, |
|  | KUrl | url,
|  | KParts.OpenUrlArguments | arguments,
|  | KParts.BrowserArguments | browserArguments
| ) |  |  |

Opens the given url in a hosted child frame. The frame name is specified in the frameName variable in the browserArguments parameter (see KParts.BrowserArguments ) .

## Static Method Documentation

KParts.BrowserHostExtension childObject | ( | QObject | obj
| ) |  |  |

Queries obj for a child object which inherits from this BrowserHostExtension class. Convenience method.